## fwupd-1.7.1.tar.xz.d929c69b66e587c9af306c1d6a831618

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('docs', type : 'combo', choices : ['none', 'gtkdoc', 'docgen'], value : 'docgen', description : 'developer documentation type')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'combo', choices : ['true', 'false', 'disabled'], value : 'true', description : 'install LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('libarchive', type : 'boolean', value : true, description : 'enable libarchive support')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('gusb', type : 'boolean', value : true, description : 'enable GUsb support')
option('bluez', type : 'boolean', value : false, description : 'enable BlueZ support')
option('polkit', type: 'boolean', value : true, description : 'enable PolKit support in daemon')
option('gnutls', type: 'boolean', value : true, description : 'enable GnuTLS support')
option('lzma', type: 'boolean', value : false, description : 'enable LZMA support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
option('plugin_fastboot', type : 'boolean', value : true, description : 'enable Fastboot support')
option('plugin_logitech_bulkcontroller', type : 'boolean', value : true, description : 'enable Logitech bulk controller support')
option('plugin_parade_lspcon', type : 'boolean', value : true, description : 'enable Parade LSPCON support')
option('plugin_realtek_mst', type : 'boolean', value : true, description : 'enable Realtek MST hub support')
option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_uefi_capsule', type : 'boolean', value : true, description : 'enable UEFI capsule support')
option('plugin_uefi_capsule_splash', type : 'boolean', value : true, description : 'enable UEFI capsule splash support')
option('plugin_uefi_pk', type : 'boolean', value : true, description : 'enable UEFI PK support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
option('plugin_intel_spi', type : 'boolean', value : false, description : 'enable Intel SPI support')
option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
option('curl', type : 'boolean', value : true, description : 'enable libcurl support')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
option('efi_binary', type: 'boolean', value : true, description : 'generate uefi binary if missing')

=== contrib/freebsd/Makefile ===
# Created by: Norbert Kamiński <norbert.kaminski@3mdeb.com>
# $FreeBSD$

PORTNAME=	fwupd
DISTVERSION=
GH_TAGNAME=
CATEGORIES=	sysutils

MAINTAINER=	norbert.kaminski@3mdeb.com
COMMENT=	Update firmware automatically, safely, and reliably

LICENSE=	LGPL21

BUILD_DEPENDS=	gtkdoc-scan:textproc/gtk-doc \
		help2man:misc/help2man \
		vala:lang/vala \
		${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi \
		${PYTHON_PKGNAMEPREFIX}gobject3>0:devel/py-gobject3@${PY_FLAVOR}
LIB_DEPENDS=	libcurl.so:ftp/curl \
		libefiboot.so:devel/libefiboot \
		libelf.so:devel/libelf \
		libgcab-1.0.so:archivers/gcab \
		libgnutls.so:security/gnutls \
		libgpg-error.so:security/libgpg-error \
		libgpgme.so:security/gpgme \
		libgusb.so:devel/libgusb \
		libjcat.so:textproc/libjcat \
		libjson-glib-1.0.so:devel/json-glib \
		libprotobuf-c.so:devel/protobuf-c \
		libxmlb.so:textproc/libxmlb \
		libefiboot.so:devel/gnu-efi

RUN_DEPENDS=	${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi

USES=		gnome libarchive meson pkgconfig python:3.8+ shebangfix sqlite
USE_GITHUB=	yes
USE_GNOME=	glib20 introspection:build
GH_ACCOUNT=
INSTALLS_ICONS=	yes
USE_LDCONFIG=	yes

SHEBANG_GLOB=	*.py

MESON_ARGS=	-Dgudev=false \
		-Dplugin_altos=false \
		-Dplugin_amt=false \
		-Dplugin_dell=false \
		-Dplugin_emmc=false \
		-Dplugin_nvme=false \
		-Dplugin_parade_lspcon=false \
		-Dplugin_redfish=false \
		-Dplugin_synaptics_mst=false \
		-Dplugin_synaptics_rmi=false \
		-Dplugin_realtek_mst=false \
		-Dplugin_thunderbolt=false \
		-Dplugin_tpm=false \
		-Dpolkit=false \
		-Dsystemd=false \
		-Dtests=false \
		-Ddocs=gtkdoc \
		-Defi_binary=false

.include <bsd.port.mk>

=== contrib/snap/activate-shutdown/Makefile ===
build:
	true
install:
	install -d ${DESTDIR}/etc/systemd/system/
	install -m0644 fwupd-activate.service ${DESTDIR}/etc/systemd/system
	# fixes up shutdown activation script for classic snap
	sed -i "s,/libexec/fwupd/,/snap/bin/fwupd.,"                                    \
		${SNAPCRAFT_STAGE}/lib/systemd/system-shutdown/fwupd.shutdown

=== contrib/snap/fix-bash-completion/Makefile ===
build:
	true
install:
	#fixes up fwupdtool -> fwupd.fwupdtool
	sed -i "s,\(complete -F _fwupd[a-z]*\) \(fwupd.*\),\1 fwupd.\2,; 		\
		s,\(command.*\)\(fwupdtool\),\1fwupd.\2,; 				\
		s,\(command.*\)\(fwupdagent\),\1fwupd.\2," 				\
			${SNAPCRAFT_STAGE}/share/bash-completion/completions/*
	# fixes up dbus service for classic snap
	sed -i 's!SystemdService=\(.*\)!SystemdService=snap.fwupd.fwupd.service!' \
		${SNAPCRAFT_STAGE}/share/dbus-1/system-services/org.freedesktop.fwupd.service

=== contrib/snap/fwup-efi-signed/Makefile ===
DEB_HOST_ARCH=$(shell dpkg-architecture -q DEB_HOST_ARCH)
EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),i386)
EFI_NAME := ia32
endif

ifeq ($(DEB_HOST_ARCH),arm64)
EFI_NAME := aa64
endif

ifeq ($(DEB_HOST_ARCH),armhf)
EFI_NAME := arm
endif

SIGNED := \
	fwupd$(EFI_NAME).efi.signed

all: $(SIGNED)

$(SIGNED):
	./download-fwupd

install: $(SIGNED)
	install -d $(DESTDIR)/libexec/fwupd/efi
	install -m0644 $(SIGNED) $(SIGNED).version \
		$(DESTDIR)/libexec/fwupd/efi

clean:
	rm -f $(SIGNED) $(SIGNED).version

=== contrib/snap/libefivar-fixpkgconfig/Makefile ===
build:
	true

install:
	sed -i 's!libdir=\(.*\)!libdir=${SNAPCRAFT_STAGE}\1!' ${SNAPCRAFT_STAGE}/lib/pkgconfig/efiboot.pc
	sed -i 's!includedir=\(.*\)!includedir=${SNAPCRAFT_STAGE}\1!' ${SNAPCRAFT_STAGE}/lib/pkgconfig/efiboot.pc
	sed -i 's!Cflags:\(.*\)!Cflags:\1 -L$$\{libdir\}!' ${SNAPCRAFT_STAGE}/lib/pkgconfig/efiboot.pc
	sed -i 's!libdir=\(.*\)!libdir=${SNAPCRAFT_STAGE}\1!' ${SNAPCRAFT_STAGE}/lib/pkgconfig/efivar.pc
	sed -i 's!includedir=\(.*\)!includedir=${SNAPCRAFT_STAGE}\1!' ${SNAPCRAFT_STAGE}/lib/pkgconfig/efivar.pc
	sed -i 's!Cflags:\(.*\)!Cflags:\1 -L$$\{libdir\}!' ${SNAPCRAFT_STAGE}/lib/pkgconfig/efivar.pc

=== contrib/PKGBUILD ===
# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange@archlinux.org>
# Contributor: Mirco Tischler <mt-ml at gmx dot de>

pkgname=fwupd
pkgver=dummy
pkgrel=1
pkgdesc='A system daemon to allow session software to update firmware'
arch=('i686' 'x86_64')
url='https://github.com/fwupd/fwupd'
license=('GPL2')
depends=('libgusb' 'modemmanager' 'tpm2-tss')
makedepends=('meson' 'valgrind' 'gobject-introspection' 'gtk-doc' 'git'
             'python-cairo' 'noto-fonts' 'noto-fonts-cjk' 'python-gobject' 'vala'
             'curl' 'polkit' 'gcab' 'xz')

pkgver() {
    cd ${pkgname}

    VERSION=$(git describe | sed 's/-/.r/;s/-/./')
    [ -z $VERSION ] && VERSION=$(head meson.build | grep ' version :' | cut -d \' -f2)

    echo $VERSION
}

build() {
    cd ${pkgname}
    if [ -n "$CI" ]; then
        export CI="--wrap-mode=default"
    fi
    arch-meson -D b_lto=false $CI ../build \
        -Dplugin_intel_spi=true \
        -Dlzma=true \
        -Ddocs=gtkdoc \
        -Defi_binary=false \
        -Dsupported_build=true

    ninja -v -C ../build
}

check() {
    CACHE_DIRECTORY=/tmp ninja -C build test
}

package() {
    DESTDIR="${pkgdir}" ninja -C build install
}

=== contrib/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror
endif

ifneq ($(DEB_HOST_ARCH_CPU),ia64)
	CONFARGS += -Dplugin_flashrom=true
else
	CONFARGS += -Dplugin_flashrom=false
endif

ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
	CONFARGS += -Dplugin_dell=true
else
	CONFARGS += -Dplugin_dell=false
endif

ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
	CONFARGS += -Dplugin_uefi_capsule=true -Defi_binary=false
else
	CONFARGS += -Dplugin_uefi_capsule=false
endif

ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
	CONFARGS += -Dplugin_msr=true
else
	CONFARGS += -Dplugin_msr=false
endif

ifneq ($(QUBES_OPTION),)
	CONFARGS += -Dqubes=true
endif

CONFARGS += -Dplugin_dummy=true -Ddocs=gtkdoc -Dsupported_build=true

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install MSR conf if needed (depending on distro)
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test_ble.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_invalid.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb
